Subject: Re: [6tisch] SF0 and 6top error/return code questions

From: Xavi Vilajosana Guillen <[email-masked]>
Date: Fri, 23 Jun 2017 07:28:58 +0200

Dear Lotte,

thanks for your comments. We addressed them in the v5 and the upcoming v6
of the draft.

kind regards,
X

2017-05-31 18:01 GMT+02:00 Lotte Steenbrink <[email-masked]>:

> Dear 6TiSCH Working Group,
>
> while reading through the SF0 and 6top drafts, I've struggled with the way
> some error and return codes are defined and used. Since I'm new to  6TiSCH,
> I'm not quite sure if there's something that I'm missing or of this is
> unintentional, and would be very grateful for any hints. My issues are the
> following:
>
> draft-ietf-6tisch-6top-protocol-04 mentions a return code of ERR_VER in
> section 4.4.1., but doesn't list it in the table of section 8.2.4. 6P
> Return Codes (the table does, however list VERSION). Also, the table in
> section 8.2.4 mentions a return code called SFID, while section 4.4.2. says
> to set a return code called ERR_SFID. The same goes for other codes, such
> as ERR_GEN, ERR_EOL and ERR_BUSY. Is this intentional?
>
> Additionally, draft-ietf-6tisch-6top-sf0-04 prefixes the response codes
> with RC_, which (I presume) makes them easier to search and gives them more
> context, but is a bit confusing when searching fro them in the 6top draft
> initially. Is this intentional as well? If not, would it make sense to
> rename ERR_VER and VERSION (in table 8.2.4.) in the 6top draft to
> RC_ERR_VER, ERR_SFID and SFID (in table 8.2.4.) to RC_ERR_SFID etc.?
>
> With kind regards,
> Lotte Steenbrink
>
> _______________________________________________
> 6tisch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6tisch
>
>

-- 
Dr. Xavier Vilajosana
Wireless Networks Lab

*Internet Interdisciplinary Institute (IN3)Professor*
(+34) 646 633 681
[email-masked] <[email-masked]>
http://xvilajosana.org
http://wine.rdi.uoc.edu
Parc Mediterrani de la Tecnologia
Av Carl Friedrich Gauss 5, B3 Building
08860 Castelldefels (Barcelona). Catalonia. Spain